<?


function aut()
{
global $set;





if ($set['web']==false)
{

global $user;
if (isset($user))
{

echo "<div class='aut'>";
$k_new=mysql_result(mysql_query("SELECT COUNT(`mail`.`id`) FROM `mail`
LEFT JOIN `users_konts` ON `mail`.`id_user` = `users_konts`.`id_kont` AND `users_konts`.`id_user` = '$user[id]'
WHERE `mail`.`id_kont` = '$user[id]' AND (`users_konts`.`type` IS NULL OR `users_konts`.`type` = 'common' OR `users_konts`.`type` = 'favorite') AND `mail`.`read` = '0'"),0);
$k_new_fav=mysql_result(mysql_query("SELECT COUNT(`mail`.`id`) FROM `mail`
LEFT JOIN `users_konts` ON `mail`.`id_user` = `users_konts`.`id_kont` AND `users_konts`.`id_user` = '$user[id]'
WHERE `mail`.`id_kont` = '$user[id]' AND (`users_konts`.`type` = 'favorite') AND `mail`.`read` = '0'"),0);


if ($k_new!=0 && $k_new_fav==0)
echo "<a href='/new_mess.php'>$k_new <img src='/style/icons/mess0.png' alt='$k_new' /></a>\n";

$chas=date("H",time());
if($chas>24){$chas=round($chas-24);}
if($chas<0){$chas=round($chas+24);}
if($chas<=4 || $chas>=23){echo 'Дoбpoй нoчи, ';}
if($chas>=5 && $chas<=10){echo 'Дoбpoe yтpo, ';}
if($chas>=11 && $chas<=17){echo 'Дoбpый дeнь, ';}
if($chas>=18 && $chas<=22){echo 'Дoбpый вeчep, ';}

echo "<a href='/info.php'>$user[nick]</a> |\n";
echo "<a href=\"/umenu.php\">Кабинет</a> |\n";
if (user_access('adm_panel_show'))echo "<a href='/spamer.php/'>Спам</a> |\n";
echo "<a href='/exit.php'>Выход </a>";

if ($k_new_fav!=0)
echo "<b><a href='/new_mess.php'><img src='/sys/img/privat.gif' alt='Почта + ' /> Сообщени".($k_new_fav==1?'е':'я')."</a></b><br />\n";



$k_n_s_zak=mysql_result(mysql_query("SELECT COUNT(`forum_zakl`.`id_them`) FROM `forum_zakl` LEFT JOIN `forum_p` ON `forum_zakl`.`id_them` = `forum_p`.`id_them` AND `forum_p`.`time` > `forum_zakl`.`time` WHERE `forum_zakl`.`id_user` = '$user[id]' AND `forum_p`.`id` IS NOT NULL"),0);
if ($k_n_s_zak>0)
echo "<a href='/zakl.php' title='Новые сообщения в закладках'>Сообщения в закладках ($k_n_s_zak)</a><br />\n";
echo "</div>\n";

echo "<div class='rekl'>";
$jn=mysql_result(mysql_query("SELECT COUNT(*) FROM `jurnal` WHERE `id_kont` = '$user[id]' AND `read` = '0'"), 0);
if ($jn>0) { echo "<a href='/jurnal.php'>Журнал <b>+$jn</b></a><br/>\n"; }


$zoz = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE `to` = '$user[id]'"), 0);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE `to` = '$user[id]' LIMIT 1"), 0) > 0)
{
echo '<a href="/frend_new.php">Предложение дружбы <b>+'.$zoz.'</b></a><br/>';
}

$lenta = mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `id_kont` = '$user[id]' AND `read` = '0' "),0);
if($lenta>0) echo "<a href='/lenta.php'>Лента <b>+$lenta</b></a><br/>";

echo "</div>\n";

}
else
{
echo "<div class='aut'>";
//echo "<marquee>Для того, чтобы пользоваться всеми возможностями сайта необходимо пройти <a href='/aut.php'>Авторизацию</a>. Если Вы еще не зарегистрированы, то Вам необходимо пройти процесс <a href='/reg.php'>Регистрации</a>.</marquee>\n";
echo "<a href='/aut.php'>Вход</a> <a href='/reg.php'>Регистрация</a><br />\n";
echo "</div>\n";
}

}
}



?>